Name: libsane-panakvs
Version: 1.7.0
Release: alt1
Source: %name-%version-x86_64.tar.gz
Group: Other
URL: https://panasonic.net/cns/pcc/support/scanner/linuxspanakvs.html
Summary: Panasonic Scanner Driver for Linux
License: distributable

Requires: sane

%description
This software is Panasonic Scanner Driver for Linux.
You can scan from applications by using SANE (Scanner Access Now Easy) 
which is the scanning system for Linux.
Device:
KV-S1026C / KV-S1015C
KV-S1038 / KV-S1037 / KV-S1026C MK2
KV-S1037X
KV-S1065C / KV-S1046C
KV-S1057C / KV-S1027C
KV-S1058Y / KV-S1028Y / KV-S1057C MK2 / KV-S1027C MK2
KV-SL1066 / KV-SL1056 / KV-SL1055 / KV-SL1036 / KV-SL1035
KV-SL1077 MK2 / KV-SL1066 MK2 / KV-SL1056 MK2 / KV-SL1055 MK2 / KV-SL1036 MK2 / KV-SL1035 MK2
KV-S2087
KV-SL3066 / KV-SL3056 / KV-SL3055 / KV-SL3036 / KV-SL3035
KV-S5076H / KV-S5046H
KV-S7097 / KV-S7077
KV-S8147 / KV-S8127 / KV-S8150 / KV-S8130 / KV-S8120
KV-N1058X / KV-N1058Y / KV-N1028X / KV-N1028Y
KV-S5078Y / KV-S5058
KV-SL5100 MK2 / KV-SL5096 MK2 / KV-SL5095 MK2 / KV-SL5086 MK2 / KV-SL5085 MK2
KV-S6120 / KV-S6110 / KV-S6100
Option(Flatbed):
KV-SS081 (except for KV-S7097 / KV-S7077 / KV-SL3066 / KV-SL3056 / KV-SL3055 / KV-SL3036 / KV-SL3035)
Connection I/F: USB

%prep
%setup -c

%install
cd %name-%version-x86_64

_sane_ver="1.0.22"

SANE_PATH="%buildroot/%_libdir/sane"

CONF_FILES="panakvs.conf kvs8147.conf kvsl3066.conf kvs5076.conf kvs1037.conf kvs1037x.conf kvs1058.conf kvn1058.conf kvs5078.conf kvs6120.conf"

mkdir -p %buildroot/%_sysconfdir/sane.d/ 
mkdir -p $SANE_PATH 

for file in $CONF_FILES; do
      cp ./config/$file %buildroot/%_sysconfdir/sane.d/
done

cp -f ./objects/scanlld.so  $SANE_PATH

for lib in libsane-kvs1026.so libsane-kvs1057.so libsane-kvs10_series.so libsane-kvs2087.so libsane-kvs7097.so libsane-panakvs.so; do
pushd .
cp -f ./objects/$lib.${_sane_ver} $SANE_PATH
cd $SANE_PATH
ln -s $lib.${_sane_ver} $lib
ln -s $lib.${_sane_ver} $lib.1
popd
done

%post
for file in kvs10_series kvs1026 kvs1057 kvs2087 kvs7097 panakvs; do
	echo "${file}" >> %_sysconfdir/sane.d/dll.conf
done

%postun
for file in kvs10_series kvs1026 kvs1057 kvs2087 kvs7097 panakvs; do
	sed -i "/^${file}$/d" %_sysconfdir/sane.d/dll.conf
done

%files
%_sysconfdir/sane.d/kv[ns]*.conf
%_sysconfdir/sane.d/panakvs.conf
%_libdir/sane/libsane-kvs*.so*
%_libdir/sane/libsane-panakvs.so*
/usr/lib64/sane/scanlld.so

%changelog
* Mon Dec 18 2023 Anton Shevtsov <shevtsov.anton@gmail.com> 1.0-alt1
- Init build
